#ifndef NAV_ITEM_HPP_
#define NAV_ITEM_HPP_

#include <Item/IEquipment.hpp>
#include <Item/StatelessItem/BasicItem/BasicItem.hpp>

/**
 * @brief Navigation items, such as map, GPS, etc.
 */
class NavItem final :
    public BasicItem,
    public IEquipment
{
private:
    MapLevel mapLevel;

public:
    NavItem(std::string name, std::string displayName, Material &mat, MapLevel mapLevel);

    virtual MapLevel getMapLevel() override;
    virtual std::string getGadgetControllerID() override;
};

#endif